qca2 (2.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.1, no changes needed.
  * CI: enable again the blhc job.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Update the patches:
    - define_qca_export.diff: drop, fixed upstream
    - pipeunittest_more_wait.diff: refresh
  * Factorize the common cmake arguments for different Qt versions in a single
    variable.
  * Explicitly disable all the plugins which we currently do not want to build;
    this way, having the dependencies for them installed will not cause a build
    failure due to unhandled files (Closes: #1019464)
    - pass to cmake: -DWITH_botan_PLUGIN=NO -DWITH_gcrypt_PLUGIN=NO
      -DWITH_nss_PLUGIN=NO -DWITH_pkcs11_PLUGIN=NO
  * Backport upstream commit 33a35a699928318032f62eab0e39e263c604ad9e to fix
    a crash in hashunittest; patch
    upstream_hashunittest-run-sha384longtest-only-for-providers-t.patch.
  * Update lintian overrides.
  * Export QT_PLUGIN_PATH with the build location of the plugin when running
    dh_auto_test: this way, the unit tests can use the plugins.
  * Add the gnupg test-only build dependency, needed for the tests of the gnupg
    plugin.
  * Disable pgpunittest for now, as some tests fail in build-like environments;
    patch disable_pgpunittest.diff.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Oct 2022 16:37:05 +0200

qca2 (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Sep 2021 21:20:53 +0200

qca2 (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt5 to 5.14
  * Drop the migration from libqca-qt5-2-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Aug 2021 08:25:41 +0200

qca2 (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * Drop patch hurd_msync.diff, as now Hurd implements msync().
  * Drop patch kubuntu_ignore_filewatch_test.diff, as this test seems to work
    fine now.
  * Use $AUTOPKGTEST_TMP instead of $ADTTMP in autopkgtests.
  * Do not ship the upstream README in libqca-qt5-2, as it is not much of use.

 -- Pino Toscano <pino@debian.org>  Sun, 07 Feb 2021 10:58:31 +0100

qca2 (2.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 1.0-1.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt5 to 5.9
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the patches:
    - define_qca_export.diff: refresh
    - pipeunittest_more_wait.diff: refresh
    - hurd_msync.diff: refresh
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 05 Feb 2021 00:43:58 +0100

qca2 (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libssl-dev to 1.1.1

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jul 2020 07:57:50 +0200

qca2 (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.4
    - bump Qt5 to 5.6
  * Update the patches:
    - define_qca_export.diff: refresh
    - pipeunittest_more_wait.diff: refresh
    - hurd_msync.diff: refresh
    - kubuntu_ignore_filewatch_test.diff: refresh
  * Update symbols file.
  * Remove extra trailing whitespaces in changelog.
  * Small changes to copyright.
  * Use DEB_CFLAGS_MAINT_APPEND & DEB_CXXFLAGS_MAINT_APPEND to append the
    visibility build flags, instead of setting CFLAGS & CXXFLAGS directly.
  * Switch from dhmk to the dh sequencer:
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the strict shlibs handling
    - remove the overrides that do not do anything more than the command itself
  * Remove debian/not-installed, no more needed now.
  * Remove the unused 'testsuite' autopkgtest.
  * Update lintian overrides.
  * Add Rules-Requires-Root: no.
  * Build the documentation only in -indep builds:
    - move doxygen as Build-Depends-Indep
    - perform the normal build in dh_auto_build-arch, and only build the doc
      in dh_auto_build-indep
    - disable dh_auto_install-indep, and auto_test-indep, as there is nothing
      to do in these cases
  * Simplify libqca2-doc.install by installing the output directory as a whole
    - avoid shipping .md5 files
  * Add graphviz as Build-Depends-Indep to improve the generated HTML apidox.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the upstream signing key.
  * Use /usr/share/dpkg/architecture.mk to get $DEB_HOST_MULTIARCH, instead
    of querying dpkg-architecture manually.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jul 2020 20:23:57 +0200

qca2 (2.2.1-2) unstable; urgency=medium

  * Stop building packages for Qt 4. (Closes: #875133)
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 26 Aug 2019 19:22:56 +0200

qca2 (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that have been fixed upstream:
    - Add_support_for_OpenSSL_1.1.0.diff
    - Disable_missed_openssl_cipher_suites.diff
  * Update symbols files.
  * Adapt watch file to new URL.
  * Point Vcs contorl fields to salsa.d.o
  * Switch to new upstream URL.
  * Update copyright file.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Jul 2019 23:56:19 +0200

qca2 (2.1.3-2) unstable; urgency=medium

  * Switch to OpenSSL 1.1. (Closes: #850897)
    Backport upstream patches:
    - Disable_missed_openssl_cipher_suites.diff
    - Add_support_for_OpenSSL_1.1.0.diff
  * Remove transitional packages. (Closes: #874758)
  * Migrate to -dbgsym packages.
  * Update symbols files.
  * Fix acc autopkgtest by allowing stderr output.
  * Switch to debhelper compat level 11.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 21 Jan 2018 09:41:22 +0100

qca2 (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches that have been applied upstream:
    - fix_build_without_sslv3.diff
    - fix_base64_decoding_on_ARM.diff

 -- Felix Geyer <fgeyer@debian.org>  Sun, 18 Jun 2017 09:30:07 +0200

qca2 (2.1.1-4) unstable; urgency=medium

  * Fix FTBFS on architectures where char is unsigned.
    - Add fix_base64_decoding_on_ARM.diff

 -- Felix Geyer <fgeyer@debian.org>  Tue, 15 Nov 2016 21:07:14 +0100

qca2 (2.1.1-3) unstable; urgency=medium

  * Keep using openssl 1.0 since upstream doesn't support 1.1 and adapting
    the codebase seems non-trivial. (bug #828519)
  * Update symbols files.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 15 Nov 2016 19:03:12 +0100

qca2 (2.1.1-2) unstable; urgency=medium

  * Fix build without SSLv3.
    - Cherry-pick fix_build_without_sslv3.diff from upstream.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 04 Nov 2015 17:44:20 +0100

qca2 (2.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with Qt 5.5. (Closes: #803238)
  * Update watch file.
  * Remove inactive uploaders from the list.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 28 Oct 2015 23:05:43 +0100

qca2 (2.1.0.3-4) unstable; urgency=medium

  * Update symbols files from buildds logs (2.1.0.3-3).
  * Update symbols files for gcc5 compatibility. (Closes: #778083)
    Thanks to Matthias Klose
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 05 Aug 2015 13:31:42 +0200

qca2 (2.1.0.3-3) unstable; urgency=medium

  * Team upload to unstable.
  * Update symbols files.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 08 Jun 2015 22:56:24 +0200

qca2 (2.1.0.3-2) experimental; urgency=medium

  * Run the test suite on both builds.
  * Install all qca Qt4 plugins into the new package libqca2-plugins.
    - Add transitional packages for the existing libqca2-plugin-*
  * Make libqca2 recommend the plugins.
  * Install cmake modules to libqca2-dev.
  * Add autopkgtests: ciphertest-qt4 and ciphertest-qt5.
  * Drop XS-Testsuite control field. dpkg adds it automatically now.
  * Update libqca-qt5-2.symbols.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 30 May 2015 09:41:47 +0200

qca2 (2.1.0.3-1) experimental; urgency=medium

  * Prepare qt5 support.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Add qt5 packages.
  * Remove patch: disable_randomunittest.diff
  * Remove patch: fix_build_gcc4.7.diff
  * Add qt5 symbols file.
  * New patch: kubuntu_ignore_filewatch_test.diff
  * Update copyright information.
  * Add basic autopkgtests support.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 Feb 2015 20:10:42 +0100

qca2 (2.0.3-6) unstable; urgency=medium

  * Update the symbols file for gcc 4.9. Thanks to Sphinx Jiang for the
    initial patch. (Closes: #746895)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 11 Jun 2014 16:54:40 +0200

qca2 (2.0.3-5) unstable; urgency=low

  * Team upload.
  * Change the section of qca2-utils from libs to utils.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2013 22:54:54 +0100

qca2 (2.0.3-4) unstable; urgency=low

  * Team upload.
  * Fix the symbols file.
  * Add pipeunittest_more_wait.diff to increase times of qWait() in the
    pipeunittest test (helps with Hurd).
  * Add patch hurd_msync.diff to temporarly ignore ENOSYS errors for Hurd's
    msync().

 -- Pino Toscano <pino@debian.org>  Mon, 04 Jun 2012 11:49:16 +0200

qca2 (2.0.3-3) unstable; urgency=low

  [ Felix Geyer ]
  * Modify CFLAGS and CXXFLAGS after including debian-qt-kde.mk so the
    changes are not overwritten.
  * Pass $CPPFLAGS to the build system.
  * Update symbols file.
  * Fix FTBFS with gcc 4.7. (Closes: #667339)
    - Add fix_build_gcc4.7.diff, cherry-picked from upstream.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Convert to multiarch.
    - Bump debhelper compat level to v9.
    - Move qcatool2 into the new binary package qca2-utils.
    - Mark libqca2 and libqca2-dbg as Multi-Arch: same.
  * Fix passing $LDFLAGS to the build system.
  * Pass build flags to qcatool2.
  * Remove confapp.pri in clean target.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 May 2012 18:30:41 +0200

qca2 (2.0.3-2) unstable; urgency=low

  [ Felix Geyer ]
  * Add Vcs-* fields.
  * Fix versioned dependency on arch-any package.

  [ Modestas Vainius ]
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:30:07 +0300

qca2 (2.0.3-1) unstable; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Switch to source format 3.0 (quilt).
  * Switch debian/rules engine to dhmk.
  * Pass --no-separate-debug-info to configure and let dh_strip handle
    the debug symbol seperation.
  * Switch to debhelper compat level 7.
  * Simplify install files.
  * Don't install the TODO file.
  * Bump Standards-Version to 3.9.2.
    - Drop ancient Conflicts.
  * libqca2: don't suggest libqca2-plugin-pkcs11 as it doesn't exist.
  * Add myself as uploader.
  * Fix short description of libqca2-dbg.
  * Add missing ${misc:Depends}.
  * libqca2-dbg: recommend libqt4-dbg.
  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
    - Add define_qca_export.diff to define QCA_EXPORT as Q_DECL_EXPORT.
  * Disable broken unit test that fails if two subsequent random numbers are
    the same.
    - Add disable_randomunittest.diff
  * Add a symbols file.

  [ Modestas Vainius ]
  * Remove Matthew Rosewarne from Uploaders, R.I.P.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 30 May 2011 00:33:07 +0300

qca2 (2.0.2-1) unstable; urgency=low

  * New Upstream Version (Closes: Bug#529532)
  * Remove out-of-date VCS fields from debian/control
  * Move -dbg package to section 'debug'

 -- Jan Niehusmann <jan@debian.org>  Sat, 23 May 2009 16:20:39 +0200

qca2 (2.0.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Build against Qt 4.4 in experimental.

  +++ Changes by Matthew Rosewarne:

  * Create debug package.
  * Improve clean rule for apidocs.
  * Have libqca2 recommend ca-certificates.
  * Add VCS fields to control.
  * Bump Standards-Version to 3.8.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Jul 2008 18:28:31 -0400

qca2 (2.0.0-4) unstable; urgency=low

  +++ Changes by Matthew Rosewarne:

  * Switch rules to CDBS.
  * Create API documentation package.
  * Install qmake data files in libqca2-dev.
  * Bump compat to 6.
  * Bump Standards-Version to 3.7.3.
  * Tweak package descriptions.
  * Add Homepage: to control.
  * Suggest qca2 plugins.
  * Add watch file.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update FSF address in the copyright file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 10 Feb 2008 05:40:45 +0100

qca2 (2.0.0-3) unstable; urgency=low

  * Disable compilation of unit tests. As the plugins necessary to actually
    execute the tests are not available at compile time, and the compiled
    tests are not included in the packages, it's not actually useful to
    compile them in the first place. Additionally, some of the files need
    a huge amount of memory to compile and therefore take excessively long
    to compile on buildds with little memory.

 -- Jan Niehusmann <jan@debian.org>  Tue, 20 Nov 2007 12:16:44 +0100

qca2 (2.0.0-2) unstable; urgency=low

  * Upload to unstable

 -- Jan Niehusmann <jan@debian.org>  Sat, 27 Oct 2007 18:51:54 +0200

qca2 (2.0.0-1) experimental; urgency=low

  * New upstream release
  * Remove the bogous dependency on libxss-dev. This should have gone to psi,
    not qca2
  * libqca2-dev now depends on libqt4-dev (Closes: Bug#441264, Bug#441266)

 -- Jan Niehusmann <jan@debian.org>  Sun, 07 Oct 2007 15:02:41 +0200

qca2 (2.0.0~beta7-3) experimental; urgency=low

  * updated debian/copyright to mention all copyright holders and licenses

 -- Jan Niehusmann <jan@debian.org>  Tue, 14 Aug 2007 18:04:31 +0200

qca2 (2.0.0~beta7-2) experimental; urgency=low

  * Renamed the source package to qca2, to allow qca version 1 to stay in the
    archive in parallel to qca2. (Closes: Bug#435185)

 -- Jan Niehusmann <jan@debian.org>  Thu, 02 Aug 2007 18:03:25 +0200

qca (2.0.0~beta7-1) experimental; urgency=low

  * New upstream release
  * Some packaging cleanups (fixed lintian warnings etc.)
  * Added libxss-dev build dependency (like Ubuntu did a while ago)
  * removed libqt4-debug-dev from Build-Depends (Closes: Bug#407802, Bug#432619)

  And a few changes by Sune Vuorela:

  * Add manpage for qcatool.
  * Remove obsolete dirs files.

 -- Jan Niehusmann <jan@debian.org>  Tue, 24 Jul 2007 16:35:39 +0200

qca (2.0~beta2-1) experimental; urgency=low

  * New upstream release

 -- Jan Niehusmann <jan@debian.org>  Wed,  9 Aug 2006 17:53:12 +0200

qca (1.0-8) unstable; urgency=low

  * Update control file with correct Depends, Conflicts and
    Replaces statements. (Closes: Bug#326131, Bug#326607)

 -- Jan Niehusmann <jan@debian.org>  Mon,  5 Sep 2005 18:41:10 +0200

qca (1.0-7) unstable; urgency=low

  * C++ ABI transition

 -- Jan Niehusmann <jan@debian.org>  Tue, 16 Aug 2005 07:41:10 +0200

qca (1.0-6) unstable; urgency=low

  * Reupload to unstable (Closes: Bug#290326) to make psi happy

 -- Jan Niehusmann <jan@debian.org>  Thu, 13 Jan 2005 17:07:09 +0100

qca (1.0-5) experimental; urgency=low

  * Remove conf.log in clean target

 -- Jan Niehusmann <jan@debian.org>  Tue, 16 Nov 2004 13:28:38 +0100

qca (1.0-4) experimental; urgency=low

  * Fixed dependency of qca-dev on libqca1

 -- Jan Niehusmann <jan@debian.org>  Tue, 16 Nov 2004 13:24:43 +0100

qca (1.0-3) experimental; urgency=low

  * Changed section of qca-dev to libdevel

 -- Jan Niehusmann <jan@debian.org>  Mon, 15 Nov 2004 12:13:55 +0100

qca (1.0-2) experimental; urgency=low

  * Added build-dependency on libqt3-mt-dev (Closes: Bug#281338)

 -- Jan Niehusmann <jan@debian.org>  Mon, 15 Nov 2004 11:26:18 +0100

qca (1.0-1) experimental; urgency=low

  * New upstream release
  * First version uploaded to debian (Closes: Bug#223469)

 -- Jan Niehusmann <jan@debian.org>  Sat, 06 Nov 2004 13:58:01 +0100
